# cupsctl(8)

## Name

cupsctl - configure cupsd.conf options

## Synopsis

cupsctl [ -E ] [ -U username ] [ -h server[:port] ] [ --[no-]debug-logging ] [ --[no-]remote-admin ] [ --[no-]remote-any ] [ --[no-]share-printers ] [ --[no-]user-cancel-any ] [ name=value ]

## Description

cupsctl updates or queries the cupsd.conf file for a server. When no changes are requested, the current configuration values are written to the standard output in the format "name=value", one per line.

## Options

The following options are recognized:

-E
  Enables encryption on the connection to the scheduler.
-U username
  Specifies an alternate username to use when authenticating with the scheduler.
-h server[:port]
  Specifies the server address.
--fR[fBno-fR]fBdebug-logging
  Enables (disables) debug logging to the error_log file.
--fR[fBno-fR]fBremote-admin
  Enables (disables) remote administration.
--fR[fBno-fR]fBremote-any
  Enables (disables) printing from any address, e.g., the Internet.
--fR[fBno-fR]fBshare-printers
  Enables (disables) sharing of local printers with other computers.
--fR[fBno-fR]fBuser-cancel-any
  Allows (prevents) users to cancel jobs owned by others.

## Examples

Display the current settings:

        cupsctl

Enable debug logging:

        cupsctl --debug-logging

Get the current debug logging state:

        cupsctl | grep '^_debug_logging' | awk -F= '{print $2}'

Disable printer sharing:

        cupsctl --no-share-printers

## Known Issues

You cannot set the Listen or Port directives using cupsctl.

## See Also

cupsd.conf(5), cupsd(8),
CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2007-2014 by Apple Inc.